---

#
# IMPORTANT NOTE
#
# This chart inherits from our common library chart. You can check the default values/options here:
# https://github.com/k8s-at-home/library-charts/tree/main/charts/stable/common/values.yaml
#

# -- This is the default, you can also use requarks/wiki
image:
  # -- image repository
  repository: ghcr.io/linuxserver/wikijs
  # -- image tag
  tag: version-2.5.201
  # -- image pull policy
  pullPolicy: IfNotPresent

# -- environment variables. See [image docs](https://docs.linuxserver.io/images/docker-wikijs#environment-variables-e) for more details.
# @default -- See below
env:
  # -- Set the container timezone
  TZ: UTC
  # DB_TYPE -- mysql, postgres, mariadb, mssql or sqlite
  # DB_FILEPATH -- Path to the SQLite file
  # DB_PORT -- Port of the database
  # DB_USER -- Username to connect to the database
  # DB_PASS -- Password to connect to the database
  # DB_NAME -- Database name
  # DB_SSL -- Set to either 1 or true to enable. (optional, off if omitted)
  # DB_SSL_CA -- Database CA certificate content, as a single line string (without spaces or new lines), without the prefix and suffix lines. (optional, requires 2.3+)
  # DB_PASS_FILE -- Path to the mapped file containing to the database password. (optional, replaces `DB_PASS`)

# -- Configures service settings for the chart.
# @default -- See values.yaml
service:
  main:
    ports:
      http:
        port: 3000

ingress:
  # -- Enable and configure ingress settings for the chart under this key.
  # @default -- See values.yaml
  main:
    enabled: false

# -- Configure persistence settings for the chart under this key.
# @default -- See values.yaml
persistence:
  config:
    enabled: false
  data:
    enabled: false
    mountPath: /app/wiki/data
